;===============================================================================
; GIFLIB v1.0 by Exagone - Include file
;===============================================================================
; GIFLIB is (C) Copyright by Exagone. You may freely distribute this library
; according to the licensing defined in the manual.
; [best viewed width tab stop = 4 spaces and syntax highlighting]

;-------------------------------------------------------------------------------
; Function prototypes
;-------------------------------------------------------------------------------

GIFLoadHeader			PROTO	STDCALL lpGifInfo:DWORD
GIFInitalizeDecoder		PROTO	STDCALL lpGifInfo:DWORD
GIFDecompress			PROTO	STDCALL lpGifInfo:DWORD
GIFGetMinimumColorType	PROTO	STDCALL lpGifInfo:DWORD
GIFGetOutputSize		PROTO	STDCALL lpGifInfo:DWORD
GIFGetColorTable		PROTO	STDCALL lpGifInfo:DWORD, lpBuffer:DWORD
GIFCleanup				PROTO	STDCALL lpGifInfo:DWORD
GIFFillBitmapInfoStruct	PROTO	STDCALL lpGifInfo:DWORD, lpBitmapInfoHeader:DWORD
GIFLoadResource			PROTO	STDCALL lpGifInfo:DWORD, hInstance:DWORD, lpName:DWORD
GIFLoadFile				PROTO	STDCALL lpGifInfo:DWORD, lpFile:DWORD


;-------------------------------------------------------------------------------
; Structures
;-------------------------------------------------------------------------------
GIF_INFO		STRUCT
	; --- Header ---
	GIFVersion		db	3 dup(?)		; 3 byte string (not 0-terminated) that
										; identifies the GIF Version (like 97a
										; or 98a)
	; --- Logical screen descriptor ---
	dwLSWidth		dd	?				; Logical screen width
	dwLSHeight		dd	?				; Logical screen height
										; NOTE: Use ImageWidth/Height to find
										; the dimensions, image dimensions can 
										; be different from the logical screen
										; width and height.
	
	; --- Color info ---
	lpColorTable	dd	?				; Pointer to the color table
	ColorCount		dd	?				; Number of colors in image (and color
										; table)
	
	; --- Image info ---
	dwImageWidth	dd	?				; Width of image
	dwImageHeight	dd	?				; Height of image
	
	; --- Image data ---
	lpImageData		dd	?				; Pointer to the actual image data
	dwImageFormat	dd	?				; Image format (IMAGEFORMAT_XXXXX)
	
	; --- Input data ---
	lpGIFData		dd	?				; Pointer to the GIF File data
	dwGIFDataSize	dd	?				; Size of GIF Data
	
	; --- Internal data reserved for giflib ---
	InternalData	db	44 dup (?)
GIF_INFO		ENDS
;-------------------------------------------------------------------------------
; Constants
;-------------------------------------------------------------------------------
IMAGEFORMAT_1BIT	equ 2		 ; 1-bit, monochrome
IMAGEFORMAT_4BIT	equ 16		 ; 4-bit, 16-color
IMAGEFORMAT_8BIT	equ 256		 ; 8-bit, 256-color


